Bug 144411 - cannot debug using gdb
Summary: cannot debug using gdb
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-06 20:05 UTC by Havard Rue
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 12:43:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Havard Rue 2005-01-06 20:05:37 UTC
Description of problem:

can't debug using gdb

Version-Release number of selected component (if applicable):

gdb-6.1post-1.20040607.43
gcc-3.4.2-6.fc3

How reproducible:

always

Steps to Reproduce:
1.
localhost[tmp]$ cat test.c
#include <stdio.h>
#include <stdlib.h>
int main(int argc, char *argv[])
{
    printf("hi\n");
    exit(0);
}

2.

gcc -g test.c

3.

localhost[tmp]$ gdb ./a.out
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /home/hrue/tmp/a.out
warning: Child process unexpectedly missing: No child processes

Program terminated with signal ?, Unknown signal.
The program no longer exists.
You can't do that without a process to debug.
(gdb) localhost[tmp]$



  
Actual results:

cannot debug


Expected results:

can debug


Additional info:

i have installed FC3, and updated packages using yum [default] on
three machines, all have the same problem. [All are Dell laptops,
different though].

Comment 1 Jakub Jelinek 2005-01-06 22:35:26 UTC
Works for me just fine.  No matter what, this sounds like gdb issue, not gcc.

Comment 2 Sitsofe Wheeler 2005-01-06 22:44:47 UTC
Might be a dup of bug #144021 ... Which kernel is running?

Comment 3 Havard Rue 2005-01-07 07:53:29 UTC
kernel-2.6.9-1.724_FC3

Comment 4 Philippe Anel 2005-01-07 21:36:30 UTC
Same probleme here.

==========================================================
uname -a
Linux localhost.localdomain 2.6.9-1.724_FC3 #1 Sun Jan 2 15:43:49 EST
2005 i686
gdb -v
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
...
This GDB was configured as "i386-redhat-linux-gnu".

Comment 5 Elena Zannoni 2005-01-07 22:18:20 UTC
Yep, kernel problem.
Please use the updates-testing FC3 kernel.
Anything > kernel-2.6.10-1.1069_FC4.src.rpm should work.


Comment 6 Matthew Miller 2006-07-10 20:27:28 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 7 Jan Kratochvil 2006-07-25 12:15:30 UTC
To be CLOSED-INSUFFICIENT_DATA (why it was not resolved this way after the
timeout automatically?).
Otherwise it would become CLOSED-CURRENTRELEASE anyway.


Comment 8 Matthew Miller 2006-07-25 12:43:12 UTC
Jan -- there is no automatic timeout. When this was discussed on the Fedora
maintainers list, there was general sentiment that bugs should be left in the
NEEDINFO state even if no info was forthcoming. But I'll go ahead and mark this
one specifically closed.


Note You need to log in before you can comment on or make changes to this bug.